## helma.scripting.rhino.extensions
Class DatabaseObject

    java.lang.Object
      helma.scripting.rhino.extensions.DatabaseObject

    public class DatabaseObject

extends java.lang.Object

A Database object, representing a connection to a JDBC Driver

Nested Class Summary
`static class` `DatabaseObject.RowSet` A RowSet object

Constructor Summary
`DatabaseObject(DbSource dbsource)` Create a new database object based on a hop data source.

Method Summary
`boolean` `connect(java.lang.String url, java.lang.String userName, java.lang.String password)` Connect to the database, using the specific url, optional user name and password
`boolean` `disconnect()` Disconnect from the database, nop if not conected
`int` `executeCommand(java.lang.String sql)`
`DatabaseObject.RowSet` `executeRetrieval(java.lang.String sql)`
`java.lang.String` `getClassName()`
`java.lang.Object` `getLastError()`
`java.lang.Object` `getMetaData()`
`void` `release()`
`java.lang.String` `toDetailString()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatabaseObject

    public DatabaseObject(DbSource dbsource)

  Create a new database object based on a hop data source.

  Parameters:
    `dbsource` - The name of the DB source

Method Detail

### getClassName

    public java.lang.String getClassName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toDetailString

    public java.lang.String toDetailString()

### getLastError

    public java.lang.Object getLastError()

### connect

    public boolean connect(java.lang.String url,
                           java.lang.String userName,
                           java.lang.String password)

  Connect to the database, using the specific url, optional user name and password

  Parameters:
    `url` - the database URL
    `userName` - the database user name
    `password` - the database password
  Returns:
    true if successful, false otherwise

### disconnect

    public boolean disconnect()

  Disconnect from the database, nop if not conected

  Returns:
    true if successful, false if error during idsconnect

### release

    public void release()

### executeRetrieval

    public DatabaseObject.RowSet executeRetrieval(java.lang.String sql)

### executeCommand

    public int executeCommand(java.lang.String sql)

### getMetaData

    public java.lang.Object getMetaData()

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.